MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003729ATutorSessionpublic2009-03-28 22:562009-07-21 08:50
ReporterIndieRect 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.2 
Target VersionFixed in Version1.6.3 
Summary0003729: Submissions not deleted: MySQL 4.1 compatibility issue
DescriptionA user reports: under his MySQL 4.1.22 a SQL request on the submission deletion page fails rendering the page unusable.

It is a MySQL compatibility issue. To fix it, please apply the change suggested in http://www.atutor.ca/view/3/17001/1.html [^] on 2009-03-24.

Tested to work in my MySQL 5.0.22, more testing is desired.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003534)
harris (developer)
2009-05-29 10:27

This has been fixed in 1.6.2
line 27 in tools/tests/delete_result.php

$sql = "SELECT count(*) AS cnt FROM ".TABLE_PREFIX."tests_results R LEFT JOIN ".TABLE_PREFIX."tests USING (test_id) WHERE result_id IN ($rid) AND course_id = $_SESSION[course_id] AND R.test_id = $tid";
(0003535)
harris (developer)
2009-05-29 10:27

have already been fixed.

- Issue History
Date Modified Username Field Change
2009-03-28 22:56 IndieRect New Issue
2009-03-28 22:56 IndieRect Affects version => SVN
2009-05-29 10:27 harris Note Added: 0003534
2009-05-29 10:27 harris Status new => resolved
2009-05-29 10:27 harris Resolution open => no change required
2009-05-29 10:27 harris Assigned To => harris
2009-05-29 10:27 harris Note Added: 0003535
2009-06-12 09:32 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version => 1.6.3
2009-06-12 09:33 greg Resolution no change required => fixed
2009-07-21 08:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker